using System;
using System.Collections.Generic;

namespace OnlineAssessment.Domain.Models
{
    public partial class Languages
    {
        public Languages()
        {
            Practices = new HashSet<Practices>();
            QuestionLanguges = new HashSet<QuestionLanguges>();
            QuestionOptionLanguages = new HashSet<QuestionOptionLanguages>();
            States = new HashSet<States>();
            Users = new HashSet<Users>();
        }

        public int Id { get; set; }
        public string Code { get; set; }
        public string Name { get; set; }
        public DateTime? CreatedOn { get; set; }
        public int CreatedBy { get; set; }
        public DateTime UpdatedOn { get; set; }
        public int UpdatedBy { get; set; }
        public bool? IsActive { get; set; }

        public virtual ICollection<Practices> Practices { get; set; }
        public virtual ICollection<QuestionLanguges> QuestionLanguges { get; set; }
        public virtual ICollection<QuestionOptionLanguages> QuestionOptionLanguages { get; set; }
        public virtual ICollection<States> States { get; set; }
        public virtual ICollection<Users> Users { get; set; }
    }
}
